Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  trait ScalaSettings extends StandardScalaSettings with Warnings
  Definition Classes
    settings
- CachePolicy
- LintWarnings
- MacroExpand
- UnusedWarnings
- XxmlSettings
- languageFeatures
- mixinForwarderChoices
- optChoices
- optWarningsChoices

o

scala.tools.nsc.settings.ScalaSettings

# optChoices 

###

#### object optChoices extends MultiChoiceEnumeration

Source
  ScalaSettings.scala

Linear Supertypes
MultiChoiceEnumeration, Enumeration, Serializable, java.io.Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. optChoices
2. MultiChoiceEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Choice(name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable
   Definition Classes
     MultiChoiceEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  val boxUnbox: Choice
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
12.  val closureInvocations: Choice
13.  val compactLocals: Choice
14.  val copyPropagation: Choice
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  val inline: Choice
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  val lClasspath: Choice
23.  val lDefault: Choice
24.  val lInline: Choice
25.  val lMethod: Choice
26.  val lNone: Choice
27.  val lProject: Choice
28.  final def maxId: Int
    Definition Classes
      Enumeration
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
31.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  val nullnessTracking: Choice
35.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
36.  val redundantCasts: Choice
37.  val simplifyJumps: Choice
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
40.  val unreachableCode: Choice
41.  def values: ValueSet
    Definition Classes
      Enumeration
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
45.  final def withName(s: String): Value
    Definition Classes
      Enumeration
46.  object ValueSet extends Serializable
    Definition Classes
      Enumeration

### Inherited from MultiChoiceEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped